@echo off

rem $Id$

rem set SERVER_HOME=..
set SERVER_HOME=%~dp0%

set NOPAUSE=true

rem echo %SERVER_HOME%
set JAVA_HOME=%SERVER_HOME%jre
if not "%JAVA_HOME%" == "" goto ADD_TOOLS

set JAVA=java

echo JAVA_HOME is not set.  Unexpected results may occur.
echo Set JAVA_HOME to the directory of your local JDK to avoid this message.

:ADD_TOOLS
set JAVA=%JAVA_HOME%\bin\java


set PATH=%PATH%;"%SERVER_HOME%\lib\native"

SET JAVA="%JAVA_HOME%\bin\java"

set CLASS_PATH=%SERVER_HOME%\lib;%SERVER_HOME%\lib\HTTPClient.jar;%SERVER_HOME%\lib\DCDownloadMgrApp.jar;%SERVER_HOME%\lib\cryptix-jce-provider.jar;%SERVER_HOME%\lib\json.jar

echo ===============================================================================
echo .
echo .
echo   SERVER_HOME: %SERVER_HOME%
echo .
echo   JAVA: %JAVA%
echo .
echo .
echo ===============================================================================
echo .
%JAVA% -cp "%CLASS_PATH%" com.adventnet.sym.server.downloadmgr.DCDownloadMgrProxyServer %*
